{% extends "master.twig" %}

{% block title %}
    {{ articles == null ? "Categories" : category.name }}
{% endblock %}

{% block description %}
    {{ articles == null ? "All lecture categories on Omnibus" : category.description|length > 150 ? category.description|slice(0, 150) ~ '...' : category.description }}
{% endblock %}

{% block canonical %}
    {{ articles == null ? "https://sfnw.online/categories" : "https://sfnw.online/category/"~category.id~"/"~category.furl  }}
{% endblock %}

{% block header %}
    <script src="/public/assets/js/list.min.js"></script>
{% endblock %}

{% block body %}

    <div class="ten wide computer thirteen wide tablet sixteen wide mobile column" id="sortable">

        {% if articles is empty %}

            <h1>View all categories</h1>

            <div class="ui huge fluid input">
                <label for="filter" style="display: none">Filter</label>
                <input name="filter" id="filter" class="search" type="text" placeholder="Search...">
            </div>

            <br>

            <div class="ui five doubling cards list">

                {% for category in categories %}
                    <a class="card" href="/category/{{ category.id }}/{{ category.furl }}">
                        <div class="image">
                            <img src="{{ category.picture }}" alt="Image for {{ category.name }}">
                        </div>
                        <div class="content">
                            <div class="header s-name">{{ category.name }}</div>
                            <div class="description s-desc">{{ category.description|raw }}</div>
                        </div>
                        <div class="extra content">
                            <span class="right floated">#{{ category.id }}</span>
                        </div>
                    </a>
                {% endfor %}

            </div>

        {% else %}

            <h1 class="ui header">
                {{ category.name }}
                <div class="sub header">{{ category.description|raw }}</div>
            </h1>

            <div class="ui huge fluid input">
                <label for="filter" style="display: none">Filter</label>
                <input name="filter" id="filter" class="search" type="text" placeholder="Search...">
            </div>

            <div class="ui styled fluid accordion list">
                {% for article in articles %}
                    {% include 'includes/article.twig' %}
                {% endfor %}
            </div>

        {% endif %}

    </div>

    <script>
        const list_options = {
            valueNames: ['s-name', 's-desc']
        };
        const artList = new List('sortable', list_options);
    </script>

    <div id="token" data-token="{{ token }}" style="display: none"></div>

    <script async src="{{ asset('assets/js/shelves.min.js') }}"></script>

{% endblock %}
